"""move vlass cal nodes

Revision ID: 1f32110d170d
Revises: 0f3095e84234
Create Date: 2023-05-19 09:29:36.233260

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "1f32110d170d"
down_revision = "0f3095e84234"
branch_labels = None
depends_on = None


old_requirement = """requirements = HasLustre == True"""

new_requirement = """requirements = (VLASS == True) && (HasLustre == True)
+partition = "VLASS"
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_requirement}', E'{new_requirement}')::bytea
        WHERE workflow_name = 'vlass_calibration'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_requirement}', E'{old_requirement}')::bytea
        WHERE workflow_name = 'vlass_calibration'
        """
    )
